%global _empty_manifest_terminate_build 0
%global with_doc 1

Name:           python-os-ken
Version:        1.2.0
Release:        2%{?dist}
Summary:        Component-based Software-defined Networking Framework
License:        Apache-2.0
URL:            http://github.com/openstack/os-ken
Source0:        http://tarballs.openstack.org/os-ken/os-ken-1.2.0.tar.gz
BuildArch:      noarch

BuildRequires:  git

%description
Os-ken is a fork of Ryu. It provides software components with well
defined API that make it easy for developers to create new network
management and control applications.

%package -n python3-os-ken
Summary: Component-based Software-defined Networking Framework
%{?python_provide:%python_provide python3-os-ken}

BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-greenlet
BuildRequires:  python3-msgpack
BuildRequires:  python3-openvswitch
BuildRequires:  python3-oslo-config
BuildRequires:  python3-paramiko
BuildRequires:  python3-routes
BuildRequires:  python3-tinyrpc
BuildRequires:  python3-setuptools
BuildRequires:  python3-webob
BuildRequires:  python3-dns
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-monotonic
BuildRequires:  python3-tinyrpc
BuildRequires:  python3-lxml
BuildRequires:  python3-repoze-lru

Requires:  python3-eventlet
Requires:  python3-pbr >= 2.0
Requires:  python3-msgpack
Requires:  python3-netaddr
Requires:  python3-openvswitch
Requires:  python3-oslo-config
Requires:  python3-paramiko
Requires:  python3-routes
Requires:  python3-six
Requires:  python3-tinyrpc
Requires:  python3-webob
Requires:  python3-lxml

%description -n python3-os-ken
Os-ken is a fork of Ryu. It provides software components with well
defined API that make it easy for developers to create new network
management and control applications.

%if 0%{?with_doc}
%package doc
Summary: Os-ken documentation
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description doc
Documentation for os-ken
%endif

%prep
%autosetup -n os-ken-1.2.0 -S git
rm -f os_ken/tests/unit/test_requirements.py

%build
%{py3_build}
%if 0%{?with_doc}
sphinx-build-3 -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif


%install
export PBR_VERSION=1.2.0
%{py3_install}

install -d -m 755 %{buildroot}%{_sysconfdir}/os_ken
install -p -m 644 etc/os_ken/os_ken.conf  %{buildroot}%{_sysconfdir}/os_ken/os_ken.conf

%check
PYTHON=%{__python3} ./run_tests.sh -N -P

%files -n python3-os-ken
%license LICENSE
%{python3_sitelib}/os_ken
%{python3_sitelib}/os_ken-1.2.0-*.egg-info
%{_bindir}/osken
%{_bindir}/osken-manager
%dir %{_sysconfdir}/os_ken
%config(noreplace) %attr(0644, root, neutron) %{_sysconfdir}/os_ken/os_ken.conf

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc README.rst
%doc doc/build/html
%endif

%changelog
* Thu Jan 13 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
